ZReportFile (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.zOS.ZReportFile interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.zOS
Interface ZReportFile

All Superinterfaces:
  ConfigFile, DataFile, FileSystemContent, LogicalContent, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface ZReportFile

extends ConfigFile

Naming Rules:
  5="managedSystemName" 2="computerSystem,name" 4="addressSpace,name" 1="operatingSystem,name" 0="appServer,name" 3="db2DataSharingGroup,name"
Persistable:
  true
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`AddressSpace` | `getAddressSpace()`
`AppServer` | `getAppServer()`
`ComputerSystem` | `getComputerSystem()`
`DB2DataSharingGroup` | `getDb2DataSharingGroup()`
`java.lang.String` | `getName()`
`OperatingSystem` | `getOperatingSystem()`
`boolean` | `hasAddressSpace()`
`boolean` | `hasAppServer()`
`boolean` | `hasComputerSystem()`
`boolean` | `hasDb2DataSharingGroup()`
`boolean` | `hasName()`
`boolean` | `hasOperatingSystem()`
`void` | `setAddressSpace(AddressSpace x)`
`void` | `setAppServer(AppServer x)`
`void` | `setComputerSystem(ComputerSystem x)`
`void` | `setDb2DataSharingGroup(DB2DataSharingGroup x)`
`void` | `setName(java.lang.String x)`
`void` | `setOperatingSystem(OperatingSystem x)`

Methods inherited from interface com.collation.platform.model.topology.sys.FileSystemContent
`getGroup, getLastModified, getOwner, getPermissions, getRealFile, getSize, hasGroup, hasLastModified, hasOwner, hasPermissions, hasRealFile, hasSize, setGroup, setLastModified, setOwner, setPermissions, setRealFile, setSize`

Methods inherited from interface com.collation.platform.model.topology.core.LogicalContent
`getChecksum, getConfigFile, getContent, getContentType, getFixedPath, getURI, hasChecksum, hasConfigFile, hasContent, hasContentType, hasFixedPath, hasURI, setChecksum, setConfigFile, setContent, setContentType, setFixedPath, setURI`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getOperatingSystem

    OperatingSystem getOperatingSystem()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AppliesTo" reverse="false"

### setOperatingSystem

    void setOperatingSystem(OperatingSystem x)

### hasOperatingSystem

    boolean hasOperatingSystem()

### getAppServer

    AppServer getAppServer()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AppliesTo" reverse="false"

### setAppServer

    void setAppServer(AppServer x)

### hasAppServer

    boolean hasAppServer()

### getAddressSpace

    AddressSpace getAddressSpace()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AppliesTo" reverse="false"

### setAddressSpace

    void setAddressSpace(AddressSpace x)

### hasAddressSpace

    boolean hasAddressSpace()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getComputerSystem

    ComputerSystem getComputerSystem()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AppliesTo" reverse="false"

### setComputerSystem

    void setComputerSystem(ComputerSystem x)

### hasComputerSystem

    boolean hasComputerSystem()

### getDb2DataSharingGroup

    DB2DataSharingGroup getDb2DataSharingGroup()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AppliesTo" reverse="true"

### setDb2DataSharingGroup

    void setDb2DataSharingGroup(DB2DataSharingGroup x)

### hasDb2DataSharingGroup

    boolean hasDb2DataSharingGroup()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD